Index: trunk/grails-app/views/assetSubItem/create.gsp
===================================================================
--- trunk/grails-app/views/assetSubItem/create.gsp	(revision 267)
+++ trunk/grails-app/views/assetSubItem/create.gsp	(revision 268)
@@ -5,18 +5,18 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>Create AssetType</title>
+        <title>Create AssetSubItem</title>
     </head>
     <body>
         <div class="nav">
-            <span class="menuButton"><g:link class="list" action="list">AssetType List</g:link></span>
+            <span class="menuButton"><g:link class="list" action="list">AssetSubItem List</g:link></span>
         </div>
         <div class="body">
-            <h1>Create AssetType</h1>
+            <h1>Create AssetSubItem</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
             </g:if>
-            <g:hasErrors bean="${assetTypeInstance}">
+            <g:hasErrors bean="${assetSubItemInstance}">
             <div class="errors">
-                <g:renderErrors bean="${assetTypeInstance}" as="list" />
+                <g:renderErrors bean="${assetSubItemInstance}" as="list" />
             </div>
             </g:hasErrors>
@@ -28,8 +28,8 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="costCode">Cost Code:</label>
+                                    <label for="name">Name:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetTypeInstance,field:'costCode','errors')}">
-                                    <input type="text" id="costCode" name="costCode" value="${fieldValue(bean:assetTypeInstance,field:'costCode')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:assetSubItemInstance,field:'name','errors')}">
+                                    <input type="text" maxlength="50" id="name" name="name" value="${fieldValue(bean:assetSubItemInstance,field:'name')}"/>
                                 </td>
                             </tr> 
@@ -39,6 +39,6 @@
                                     <label for="description">Description:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetTypeInstance,field:'description','errors')}">
-                                    <input type="text" id="description" name="description" value="${fieldValue(bean:assetTypeInstance,field:'description')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:assetSubItemInstance,field:'description','errors')}">
+                                    <input type="text" maxlength="100" id="description" name="description" value="${fieldValue(bean:assetSubItemInstance,field:'description')}"/>
                                 </td>
                             </tr> 
@@ -48,6 +48,6 @@
                                     <label for="isActive">Is Active:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetTypeInstance,field:'isActive','errors')}">
-                                    <g:checkBox name="isActive" value="${assetTypeInstance?.isActive}" ></g:checkBox>
+                                <td valign="top" class="value ${hasErrors(bean:assetSubItemInstance,field:'isActive','errors')}">
+                                    <g:checkBox name="isActive" value="${assetSubItemInstance?.isActive}" ></g:checkBox>
                                 </td>
                             </tr> 
@@ -55,8 +55,17 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="name">Name:</label>
+                                    <label for="asset">Asset:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetTypeInstance,field:'name','errors')}">
-                                    <input type="text" id="name" name="name" value="${fieldValue(bean:assetTypeInstance,field:'name')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:assetSubItemInstance,field:'asset','errors')}">
+                                    <g:select optionKey="id" from="${Asset.list()}" name="asset.id" value="${assetSubItemInstance?.asset?.id}" noSelection="['null':'']"></g:select>
+                                </td>
+                            </tr> 
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="parentItem">Parent Item:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:assetSubItemInstance,field:'parentItem','errors')}">
+                                    <g:select optionKey="id" from="${AssetSubItem.list()}" name="parentItem.id" value="${assetSubItemInstance?.parentItem?.id}" noSelection="['null':'']"></g:select>
                                 </td>
                             </tr> 
